Bug 1956268 - [MTV] [API<>UI] The Plan Status in the UI should not show "Running cuttover" before it has actually started
Summary: [MTV] [API<>UI] The Plan Status in the UI should not show "Running cuttover" ...
Keywords:
Status: VERIFIED
Alias: None
Product: Migration Toolkit for Virtualization
Classification: Red Hat
Component: Console-UI
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 2.0.0
Assignee: Mike Turley
QA Contact: Ilanit Stein
Avital Pinnick
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 11:00 UTC by Amos Mastbaum
Modified: 2021-05-12 06:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
UIVSAPI (258.71 KB, image/png)
2021-05-03 11:00 UTC, Amos Mastbaum
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github konveyor forklift-ui pull 573 0 None open Bug 1956268: Don't show 'Running cutover' if cutover time is in the future 2021-05-03 17:11:49 UTC

Description Amos Mastbaum 2021-05-03 11:00:07 UTC
Created attachment 1778910 [details]
UIVSAPI

Description of problem:

If setting any cut-over date-time to the migration CR, the UI indicates 
Plan Status: Running Cut-over.

The Cut-over time may still be a few phases a head,. it has not really started yet.

Version-Release number of selected component (if applicable):


How reproducible:
Migrate using CLI setting a future cutover date in the migration CR.


Steps to Reproduce:
1.
2.
3.

Actual results:
The UI indicates Plan Status: Running Cut-over (see attached)


Expected results:
The status in the UI should indicate to correct plan phase.

Additional info:

Comment 1 Fabien Dupont 2021-05-03 12:50:58 UTC
A user setting the cutover time through the UI wouldn't have this problem.
Targeting MTV 2.1.0.

Comment 2 Mike Turley 2021-05-03 17:16:18 UTC
Opened a fix: https://github.com/konveyor/forklift-ui/pull/573

This PR should fix the issue, but @amastbau@redhat.com I'm confused about one detail of your report.

In reproducing the bug, I set a cutover time on a plan that was running precopies (the pipeline steps had not yet started). It didn't result in showing "Running cutover", instead it showed "Preparing for cutover" because it shows that until it sees a start time on the first pipeline step.

Can you reproduce it again and post the `status` part of the plan object, both before and after you set the cutover on the migration? I don't think the pipeline steps should have start times until the cutover time is reached, and that may indicate a bug in the controller. It's my understanding that the pipeline status is only used during cutover.

Comment 3 Mike Turley 2021-05-05 15:02:43 UTC
Retargeting for 2.0.0 at Fabien's request. Backport PR here: https://github.com/konveyor/forklift-ui/pull/576

Comment 4 Fabien Dupont 2021-05-06 09:23:23 UTC
The fix is in build 2.0.0-8 / iib:72981.

Comment 5 Amos Mastbaum 2021-05-06 11:24:27 UTC
@mturley@redhat.com

The original Scenario was setting the cut-over date to the far future with the migration CR Creation.
I verified the following scenarios:
1.Add a future time with CR Creation
2.Add a future time with CR Creation and then change to pass date
3.Set Cut-over date to the future after the CR is created
4.Set Cut-over date to the past after the CR is created
5.Change the cut-over date before/after the 1st pre-copy

In all cases the UI indicated the expected phase.

build 2.0.0-8 / iib:72981.

Comment 6 Amos Mastbaum 2021-05-07 04:17:39 UTC
build 2.0.0-8 / iib:72981


Note You need to log in before you can comment on or make changes to this bug.